Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Wed, 22 May 2024 07:57:36 +0200

>  I think (or rather hope) it will show us some large path.

It was a bit difficult to get it crashing as it "hung" several times instead of
crashing. But here is at last a crash:

    get_volume_info: name="d:/profiles/%s"
    get_volume_info: name="//"

    Thread 1 received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 27916.0x5a7c]
    0x0000000000000000 in ?? ()

On Wed, May 22, 2024 at 7:08 AM Hannes Domani <[email-masked]> wrote:
>
>  Am Mittwoch, 22. Mai 2024 um 06:38:36 MESZ hat Simen Endsjø <[email-masked]> Folgendes geschrieben:
>
> > > From reading just this source file I'm not sure emacs supports long paths.
> > > How long is your path? Maybe you can show what it looks like?
> >
> > D:/profiles/system.org
>
> Then I guess it's not this path that's the problem.
> I just tried putting a breakpoint at get_volume_info and opening a .org file,
> it was hit quite a lot more than I expected, too much to handle manually.
>
> So I suggest doing something like this instead:
> ```
> (gdb) dprintf get_volume_info,"get_volume_info: name=\"%s\"\n",name
> Dprintf 8 at 0x7ff61af39cd0: file ../../src/w32.c, line 3476, column 1.
> (gdb) c
> Continuing.
> [Thread 12788.0x3768 exited with code 0]
> get_volume_info: name="c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-list"
> get_volume_info: name="c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-list"
> get_volume_info: name="c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-list"
> get_volume_info: name="c:/src/repos/emacs.git/etc/HELLO"
> ```
>
> When you add this dprintf before opening the file, we will see the name of
> the last file it was called for before the crash.
> I think (or rather hope) it will show us some large path.
>
>
> Hannes